Module | Bio::FlatFileIndex::DEBUG
In: | lib/bio/io/flatfile/index.rb

Module for output debug messages. Default setting: If $DEBUG or $VERBOSE is true, output debug messages to $stderr; Otherwise, don‘t output messages.

### Methods

out out= print

### Public Class methods

out()

get current debug messeages output destination

[Source]

         # File lib/bio/io/flatfile/index.rb, line 424
    424:       def self.out
    425:         @@out
    426:       end

out=(io)

Set debug messages output destination. If true is given, outputs to $stderr. If nil is given, outputs nothing. This method affects ALL of FlatFileIndex related objects/methods.

[Source]

         # File lib/bio/io/flatfile/index.rb, line 411
    411:       def self.out=(io)
    412:         if io then
    413:           @@out = io
    414:           @@out = $stderr if io == true
    415:           @@flag = true
    416:         else
    417:           @@out = nil
    418:           @@flag = nil
    419:         end
    420:         @@out
    421:       end

print(*arg)

prints debug messages

[Source]

         # File lib/bio/io/flatfile/index.rb, line 429
    429:       def self.print(*arg)
    430:         @@flag = true if $DEBUG or $VERBOSE
    431:         @@out.print(*arg) if @@out and @@flag
    432:       end

[Validate]